use serde::{Deserialize, Serialize};
use surrealdb::sql::Thing;

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct Events {
    lifesaver: String,
    hindernis: String,
    popduiken: String,
}

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct Participant {
    pub id: Thing,
    pub name: String,
    pub group: String,
    pub events: Option<Events>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct NewParticipant {
    pub name: String,
    pub group: String,
}
